; Eastweed - EAsy STatic WEb EDitor
; Copyright (C) 2006, 2007, 2008, 2009 Gianni Ciolli <gc@inatna.it> 
; file module-config.scm, version 0.7beta, date 2009-02-26
;
; Based on existing code (C) 2001, 2004 by Marco Maggesi
; <maggesi@math.unifi.it> and Gianni Ciolli <ciolli@math.unifi.it>
;
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

;; module-config.scm - this is the Eastweed configuration module.

(eastweed 'require 'parameters)
(eastweed 'require 'utils)

(eastweed 'set! 'config-file "eastweed-config.scm")

(eastweed 'require 'defaults) ; default values must be set _before_
			      ; loading user-defined values

(let ((cf (eastweed 'get 'config-file)))
  (if (file-exists? cf)
      (with-input-from-file cf 
	(lambda ()
	  (let loop ()
	    (let ((l (read)))
	      (cond
	       ((eof-object? l)
		#f)
	       (else
		(eastweed 'set! (car l) (cadr l))
		(loop)))))))
      (errmsg "cannot find configuration file " cf)))
