; Eastweed - EAsy STatic WEb EDitor
; Copyright (C) 2006, 2007, 2008, 2009 Gianni Ciolli <gc@inatna.it> 
; file module-defaults.scm, version 0.7beta, date 2009-02-26
;
; Based on existing code (C) 2001, 2004 by Marco Maggesi
; <maggesi@math.unifi.it> and Gianni Ciolli <ciolli@math.unifi.it>
;
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

;; module-defaults.scm - this is the Eastweed module for default
;; parameter values.

(eastweed 'set! 'css-file "style.css")
(eastweed 'set! 'verbatim-files-prefix "verbatim-files/")
(eastweed 'set! 'image-prefix "/images/")
(eastweed 'set! 'files-prefix "/files/")
(eastweed 'set! 'web-pages-prefix "web-pages/")
(eastweed 'set! 'data-prefix "data/")
(eastweed 'set! 'homepage-prefix "")
;; questo parametro è necessario per fargli trovare il CSS

(eastweed 'set! 'db-name "db")
(eastweed 'set! 'db-prefix
	  (string-append (eastweed 'get 'db-name)
			 "/"))
;?; this means that db is in (string-append data-prefix db-prefix)

(eastweed 'set! 'doctype-string
	  "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">")

(eastweed 'set! 'update-timestamp-file "timestamp.update")

(eastweed 'set! 'html-tidy-string "tidy -modify -quiet -utf8 ")

(eastweed 'set! 'languages
	  '((en . "English")))

(eastweed 'set! 'my-tags '())

(eastweed 
 'set! 
 'stile-txt
 (lambda (basename lang ext)
   (lambda args
     (lambda (body)
       `(html ((lang ,lang))
	      (head (title ,(car args))
		    (meta ((http-equiv "Content-Type")
			   (content "text/html; charset=UTF-8")))
		    (link ((type "text/css")
			   (rel  "stylesheet")
			   (href 
			    ,(string-append
			      (eastweed 'get 'homepage-prefix)
			      "/"
			      (eastweed 'get 'css-file))))))
	      (body ,@body))))))
